CVE-2022-24878

Flux is an open and extensible continuous delivery solution for Kubernetes. Path Traversal in the kustomize-controller via a malicious `kustomization.yaml` allows an attacker to cause a Denial of Service at the controller level. Workarounds include automated tooling in the user's CI/CD pipeline to validate `kustomization.yaml` files conform with specific policies. This vulnerability is fixed in kustomize-controller v0.24.0 and included in flux2 v0.29.0. Users are recommended to upgrade.
References
Configurations

Configuration 1 (hide)

OR cpe:2.3:a:fluxcd:flux2:*:*:*:*:*:*:*:*
cpe:2.3:a:fluxcd:kustomize-controller:*:*:*:*:*:*:*:*

History

14 May 2022, 03:03

Type Values Removed Values Added
CWE CWE-22
CPE cpe:2.3:a:fluxcd:flux2:*:*:*:*:*:*:*:*
cpe:2.3:a:fluxcd:kustomize-controller:*:*:*:*:*:*:*:*
First Time Fluxcd kustomize-controller
Fluxcd flux2
Fluxcd
References (CONFIRM) https://github.com/fluxcd/flux2/security/advisories/GHSA-7pwf-jg34-hxwp - (CONFIRM) https://github.com/fluxcd/flux2/security/advisories/GHSA-7pwf-jg34-hxwp - Third Party Advisory
CVSS v2 : unknown
v3 : unknown
v2 : 4.0
v3 : 6.5

06 May 2022, 02:15

Type Values Removed Values Added
New CVE

Information

Published : 2022-05-06 02:15

Updated : 2022-05-14 03:03


NVD link : CVE-2022-24878

Mitre link : CVE-2022-24878


JSON object : View

Products Affected

fluxcd

  • flux2
  • kustomize-controller
CWE
CWE-22

Improper Limitation of a Pathname to a Restricted Directory ('Path Traversal')